[PACKAGE]: ../../raw/master/mkp/vsphere_topo-0.0.2-20240709.mkp "vsphere_topo-0.0.2-20240709.mkp"
# vSphere Topology Visualization

This plugin uses the data from the _VMware ESX via vSphere_ spezial agent to create a topolofy of the vSphere environment.
It creates the Topology on the fly with each check cycle. The topology contains the vCenter -> Data center -> Clutser -> VMs -> Datastore.

---
### Download
* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There migth be incompatible changes.
                        
---
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp add PAKAGE_NAME.mkp
mkp enable PAKAGE_NAME VERSION
```

In the Enterprise/Free/Cloud edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to Contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Check Info

The plugin creates the service **_vSphere Topology_** on each discovered vCenter server.

<details><summary>Montoring states</summary>

The service state is always ok.

</details>

<details><summary>Perfdata</summary>

| Metric | Unit | Perfometer |
| ------ | ------ | ------ |
| Time taken | s | yes |

</details>

---
### WATO
<details><summary>Service monitoring rule</summary>

| Section | Rule name |
| ------ | ------ |
| Applications, Processes & Services | vSphere Topology  |

| Option | Defailt value | Comment|
| ------ | ------ |----|
| Adjust ESXi host names | none | |
| - Keep domain name | Disabled |  Enabled/Disabled |
| - Change case |no change | upper/lower/no change |
| - Name prefix | none | Prefix for host names |
| Adjust VM names | none | Same as Adjust ESXi host names only for VMs |
| Cluster emblem | icon_plugins_hw | none, default, custom | 
| Datacenter emblem | icon_cloud | none, default, custom | 
| Datastore emblem | icon_services_green | none, default, custom | 
| Add data store service | Disabled | Enabled/Disabled |
| Make default | Disabled |  Enabled/Disabled |
| Don't add vCenter as VM | Disabled | Enabled/Disabled |
| Add dummy topologies | Disabled | Enabled/Disabled |


</details> 

<details><summary>Discovery rule</summary>
Tere is no discover rule.
</details> 

<details><summary>HW/SW inventory rules</summary>
There is no inventory rule.
</details> 

---
### Sample Output

Sample output

![sample output](img/sample.png?raw=true "sample output")

Sample vSphere topology

![sample output details](img/vsphere_topology.png?raw=true "sample vSphere topology")

